apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.android.compileSdkVersion

    defaultConfig {
        minSdkVersion rootProject.ext.android.minSdkVersion
        targetSdkVersion rootProject.ext.android.targetSdkVersion

        versionCode 1
        versionName "${MOGO_LIVE_VERSION}"

        consumerProguardFiles "consumer-rules.pro"

        ndk {
            abiFilters "armeabi-v7a"
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }


    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }


}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation rootProject.ext.dependencies.androidxappcompat
    implementation rootProject.ext.dependencies.live_sdk_zego
//    implementation files('libs/ZegoExpressEngine.jar')

    api 'com.zhidao.libyuv:libyuv:1.0.1.0'
    implementation 'com.zhidao.ptech:connsvr-protoco:0.1.23'
    implementation 'com.google.protobuf:protobuf-java:3.12.4'
    implementation rootProject.ext.dependencies.rxjava
    implementation rootProject.ext.dependencies.rxandroid


    if (Boolean.valueOf(RELEASE)) {
        api "com.mogo.cloud:network:${MOGO_NETWORK_VERSION}"
        implementation "com.mogo.cloud:socket:${MOGO_SOCKET_VERSION}"
    } else {
        api project(":foudations:mogo-network")
        implementation project(":foudations:mogo-socket")
    }

}

apply from: new File(rootProject.rootDir, "gradle/upload.gradle").toString()